Skip to content

Migrate CTM child tenants.

POST
/api/web/namespaces/system/partner-management/child_tenant_managers/{name}/child_tenants/migrate
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/partner-management/child_tenant_managers/example/child_tenants/migrate \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "ct_list_to_target_ctm": { "child_tenant_manager": "example", "child_tenants": [ "example" ] }, "name": "example" }'

Migrate ACTIVE child tenants from existing CTM to a specified new CTM.

Examples of this operation.

name
required
string

Name

x-required Name of the child tenant manager.

Media typeapplication/json
MigrateCTMChildTenantsReq

Request to migrate child tenants to a specified child tenant manager.

object
ct_list_to_target_ctm
object
child_tenant_manager
Child Tenant Manager

Name of the child tenant manager where child tenants needs to be referred Required: YES.

string
<= 1024 characters
child_tenants
Child Tenants

List of child tenants refer to a child tenant manager Required: YES.

Array<string>
>= 1 items
name
Name

Name of the child tenant manager Required: YES.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"ct_list_to_target_ctm": {
"child_tenant_manager": "example",
"child_tenants": [
"example"
]
},
"name": "example"
}

A successful response.

Media typeapplication/json
MigrateCTMChildTenantsResp

Response of migrating child tenants to a specified CTM.

object
child_tenant_manager
Child tenant manager

Name of the child tenant manager to which all the child tenants are migrating to.

string
<= 1024 characters
errors
Errors

Errors(if any) while migrating child tenants.

Array<object>
ErrorType

Information about a error in API operation.

object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
migrate_initiated_for_ct_count
Migrate initiated for child tenants count

This specifies the total number of child tenants for which migration has been initiated to a specified CTM.

integer format: int32
total_ct_count
Total child tenant count

This specifies total number of child tenants requested to be migrated to a specified CTM.

integer format: int32
Example
{
"errors": [
{
"code": "EOK"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example